Update contract billing term

View as Markdown

Authentication

Authorizationstring
API Key authentication via header

Path parameters

idstringRequired
Contract Id
billingTermIdstringRequired
Billing Term Id

Request

This endpoint expects an object.
namestringOptional

Line item name. Required unless productId is provided, in which case it is populated from the product’s display name.

descriptionstringOptional
Line item description
billingStartDatestringOptional
Billing start date
isRecurringbooleanOptional
Is recurring billing
includeInArrbooleanOptional

Whether this billing term contributes to ARR (Annual Recurring Revenue). Defaults based on billing type and interval when omitted (usage and one-time terms default to false).

intervalenumOptional
Interval unit.
intervalFrequencydoubleOptional
Interval frequency
durationdoubleOptionalDefaults to 0
Number of billing periods
invoiceDateStrategyenumOptional

Invoice date strategy. OFFSET_FROM_PERIOD_START / OFFSET_FROM_PERIOD_END require invoiceDateOffsetDays.

invoiceDateOffsetDaysdoubleOptional-365-365

Days to offset the invoice date from the period start (OFFSET_FROM_PERIOD_START) or period end (OFFSET_FROM_PERIOD_END). Required for those strategies and not allowed for FIRST_OF_PERIOD, LAST_OF_PERIOD, ARREARS, or ADVANCED_DUE_START. Integer from -365 to 365.

netPaymentTermsdoubleOptional
Days between invoice issue and due date
quantitydoubleOptional

Quantity; set to 0 for UNIT billingType

billingTypeenumOptional
Billing type
pricingTypeenumOptional

Pricing type. For TIERED and VOLUME, supply 2+ pricing entries with tier indices that are 0-indexed and contiguous (0, 1, 2, …) and tierMinimum values starting at 0 and strictly increasing.

itemIdstringOptional
ERP item ID for the line item
productIdstring or nullOptional

Product ID from /v3/products. When set, name/description/itemId/classId are populated from the product for any not provided on the billing term. To ensure revenue reporting accuracy, associate the billing term with a product whenever applicable.

classIdstringOptional
ERP class ID
departmentIdstringOptional
Department ID
projectIdstringOptional
Project ID
pricinglist of objectsOptional
Pricing tiers
discountobjectOptional
Discount configuration

Response

Billing term updated; invoice regeneration enqueued

Errors

400
Bad Request Error
404
Not Found Error
500
Internal Server Error